﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;
using ELTE.TodoList.Desktop.Model;
using ELTE.TodoList.Desktop.View;
using ELTE.TodoList.Desktop.ViewModel;

namespace ELTE.TodoList.Desktop
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        private TodoListApiService _service;
        private MainViewModel _mainViewModel;
        private MainWindow _view;

        public App()
        {
            Startup += App_Startup;
        }

        private void App_Startup(object sender, StartupEventArgs e)
        {
            _service = new TodoListApiService(ConfigurationManager.AppSettings["baseAddress"]);

            _mainViewModel = new MainViewModel(_service);
            _mainViewModel.MessageApplication += _mainViewModel_MessageApplication;

            _view = new MainWindow
            {
                DataContext = _mainViewModel
            };

            _view.Show();
        }

        private void _mainViewModel_MessageApplication(object sender, MessageEventArgs e)
        {
            MessageBox.Show(e.Message, "TodoList", MessageBoxButton.OK, MessageBoxImage.Asterisk);
        }
    }
}
